import request from '@/utils/request'

// 查询相似问答表列表
export function listSimilar(query) {
  return request({
    url: '/base/similar/list',
    method: 'get',
    params: query
  })
}

// 查询相似问答表详细
export function getSimilar(id) {
  return request({
    url: '/base/similar/' + id,
    method: 'get'
  })
}

// 新增相似问答表
export function addSimilar(data) {
  return request({
    url: '/base/similar',
    method: 'post',
    data: data
  })
}

// 修改相似问答表
export function updateSimilar(data) {
  return request({
    url: '/base/similar',
    method: 'put',
    data: data
  })
}

// 删除相似问答表
export function delSimilar(id) {
  return request({
    url: '/base/similar/' + id,
    method: 'delete'
  })
}
